
Core - Bug # 52351

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-09-28 Assigned To:
Updated: 2013-09-28 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: easy
Is Regression: No
Sprint Focus:
Subject: ext:install Implement template files in FolderStructure
Description

Associated revisions
Revision 7d11883f - 2013-09-28 15:39 - Christian Kuhn

[FEATURE] ext:install Implement template files in FolderStructure

The folder structure definition can be simplified a bit if target
content of files is not stored in the structure definition array
but moved to template files. This also enables handling of binary
files.
The patch implements an option 'targetContentFile' to FileNode and
adapts the current FolderStructure definition to use it.

Change-Id: I097e87a1f7a16e325b398468286fe661abec3553
Resolves: #52351
Releases: 6.2
Reviewed-on: https://review.typo3.org/24122
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog

History
#1 - 2013-09-28 13:01 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24122

#2 - 2013-09-28 13:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24122
#3 - 2013-09-28 15:16 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24122

#4 - 2013-09-28 16:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7d11883f1f64b92de8ecebabc3b76ffe49423dfc.

2015-08-04 2/2

https://review.typo3.org/24122

